import { Component, OnInit, Input, OnDestroy } from '@angular/core';
import {TesService} from '../tes.service';
import { Job } from '../job';
import { Observable } from 'rxjs/Observable';
import { delay } from 'rxjs/operators';
import { Subscription, interval } from 'rxjs';
import { Identity } from '../identity';
import { Renderer2} from '@angular/core';
import { BehaviorSubject } from 'rxjs';



@Component({
  selector: 'app-joblist',
  templateUrl: './joblist.component.html',
  styleUrls: ['./joblist.component.css']
})

export class JoblistComponent implements OnInit {
  @Input() identity: Identity;


  constructor(private tesService: TesService, private renderer: Renderer2) {
}

  public ngOnInit(): void {
  }


  public ngOnDestroy(): void {
  }

  public refreshJobs(): void {
    this.tesService.getJobs(this.tesService.identitySubject.value);
  }

}
